:root{
  --globalMargin: 30px;
  --color1: #FFF8E7;
  --color2: #532F2F;

  --smallText: 10pt;
  --courant: 16pt;
  --title: 32pt;
  --smallTitle: 24pt;
}

@font-face {
  font-family: PPNeueMontrealMono;
  src: url(/font/PPNeueMontrealMono-Book.otf);
}
@font-face {
  font-family: PPEditorial_Italic;
  src: url(/font/PPEditorialOld-UltralightItalic.otf);
}
@font-face {
  font-family: PPEditorial;
  src: url(/font/PPEditorialOld-Regular.otf);
}
@font-face {
  font-family: PPEditorial_UL;
  src: url(/font/PPEditorialOld-Ultralight.otf);
}

/* ------ GLOBAL  ------- */

body{
  background-color: var(--color1);
  overflow-x: hidden;
  overflow-y: scroll;
}
body::-webkit-scrollbar {
  display: none;
}

*{
  transition: color .2s ease;
  transition: border .2s ease;
  transition: background-color .2s ease;
}

/* Hide scrollbar for IE, Edge and Firefox */

body {
  -ms-overflow-style: none;
  /* IE and Edge */
}
.nav_button, p, a {
  font-family: PPNeueMontrealMono;
  color: var(--color2);
}
.tinyText{
  font-family: PPNeueMontrealMono;
  color: var(--color2);
  font-size: var(--smallText);
}
.italic{
  font-family: PPEditorial_Italic;
  color: var(--color2)
}

h1, h2, h3{
  font-family: PPEditorial;
  color: var(--color2);
}

.uppercase {
  text-transform: uppercase;
}
.textIndent{
  text-indent: 120px;
}

.smallTitle{
  font-family: PPEditorial_Italic;
  color: var(--color2);
  font-size: 18pt;
  margin-bottom: 8px;
}
.bigTitle {
  font-family: PPEditorial;
  color: var(--color2);
  font-size: 45pt;
  margin-bottom: var(--globalMargin);
}

.hugeText{
  font-family: PPEditorial_UL;
  color: var(--color2);
  font-size: 15vw;
}

.courant{
  font-family: PPNeueMontrealMono;
  color: var(--color2);
  font-size: 14pt;
  line-height: 145%;
}
.fig {
  font-family: PPEditorial_Italic;
  color: var(--color2);
  font-size: 10pt;
}


.noise{
  position: fixed;
  opacity: 7%;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  mix-blend-mode:multiply;
  pointer-events: none;
  z-index: 10;

}

/* ------ OVERLAY STYLE ------- */ 

#overlay{
  position: fixed;
  height: 100vh;
  width: 100vw;
  z-index: 10;
  pointer-events: none
}
.line{
  position: fixed;
}
.l1{
  top: 0;
  width: 100vw;
  height: var(--globalMargin);
  border-bottom: 1px solid var(--color2);
  background-color: var(--color1);

}
.l2 {
  bottom: 0;
    width: 100vw;
    height: var(--globalMargin);
    border-top: 1px solid var(--color2);
    background-color: var(--color1);

}
.l3 {
  right: var(--globalMargin);
  height: 100vh;
  border-left: 1px solid var(--color2);

}
.l4 {
  left: var(--globalMargin);
  height: 100vh;
  border-right: 1px solid var(--color2);

}
.overlay_nav{
  position: fixed;
  top: var(--globalMargin);
  left: var(--globalMargin);
  z-index: -1;
  display: flex;
  width: calc((100vw - (var(--globalMargin) * 2)));;
}
.nav_link {
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  text-align: center;
  width: calc(100% / 5);
  height: var(--globalMargin);
  color: var(--color2);
  font-size: var(--smallText);
  transition: all .3s;
  position: relative;
  overflow: hidden;
  z-index: 1;
  border: none;
  background: none;
  margin: 0;
  padding: 0;
  border-bottom: 1px solid var(--color2);
  pointer-events: all;
  background-color: var(--color1);

  &:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background-color: var(--color2);
    transition: all .3s;
    z-index: -1;
  }

  &:hover {

    &:before {
      height: 100%;
      pointer-events: none;
      
    }
  }
}
.nav_link:hover{
  color: var(--color1);
}
.navActive{
  color: var(--color1);

  &:before {
      height: 100%;
  }
}

.b2{
  border-right: none;
  border-left: 1px solid var(--color2);
}
.b3{
  border-left: 1px solid var(--color2);
  border-right: 1px solid var(--color2);
}
.b4{
  border-right: 1px solid var(--color2);
}
.overlay_header{
  display: flex;
  justify-content: space-between;
  width: calc((100vw - (var(--globalMargin) * 2)));
  margin-left: var(--globalMargin);
}
.overlay_header .nav_link{
  border-bottom: none;
  border-right: 1px solid var(--color2);
  border-left: 1px solid var(--color2);
  width: calc(100% / 5 - 1px);
}


.colorManagerContainer{
  position: fixed;
  top: calc(var(--globalMargin)/4);
  left: calc(var(--globalMargin)* 2);
  display: flex;
  z-index: 11;
}

.color{
  box-sizing: border-box;
  border: 1px solid var(--color2);
  width: calc(var(--globalMargin)/2);
  height: calc(var(--globalMargin)/2);
  margin-right: calc(var(--globalMargin)/2);
  border-radius: 50%;
  cursor: pointer;
  transition: all .2s ease;
  background: transparent;
  
}

.c1{
  border: 4px solid #532F2F;
  &:hover{
    border: 6px solid #532F2F;
    background-color: #532F2F;
  }
}
.c2 {
  border: 4px solid #987E2D;
  &:hover {
      border: 6px solid #987E2D;
      background-color: #987E2D;
    }
}
.c3 {
  border: 4px solid #FFAB51;
  &:hover {
      border: 6px solid #FFAB51;
      background-color: #FFAB51;
    }
}

.cActive{
  background-color: var(--color2);
}

.audioSection{
  position: fixed;
    right: calc(var(--globalMargin)* 2);
    top:2px;
    display: flex;
    z-index: 11;
    align-items: center;
}

audio{
  opacity:0;
  position: absolute;
}

.fill{
  fill: var(--color2);
}

.stroke{
  stroke: var(--color2);
}

.musicButton{
  padding-left: 10px;
  cursor: pointer;
  display: none;
  width: 30px;
  height: 25px;
  transition: all .3s ease;
}

.musicActive{
  display: block;
}





/* ------ FULL PAGE ------- */

#fullpage{
  padding: var(--globalMargin);
  padding-top: calc(2* var(--globalMargin));
}
.section{
  padding: var(--globalMargin);
  height: calc(100vh - (5* var(--globalMargin)));
  font-size: var(--title);
  font-family: PPEditorial_Italic;
  position: relative;
}

.s3 {
  border-bottom: 1px solid var(--color2);
}
.s4 {
  border-bottom: 1px solid var(--color2);
}
.s5 {
  border-bottom: 1px solid var(--color2);
}
.s6 {
  border-bottom: 1px solid var(--color2);
}

/* ------- HERO ------- */
.s1 {
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid var(--color2);
  justify-content: space-between;
}

.heroCanvas{
  position: absolute;
  z-index: 0;
  width: calc(100vw - (4* var(--globalMargin)));
  height: calc(100vh - (5* var(--globalMargin)));
  padding-top: calc(var(--globalMargin) * 2);
  object-fit: cover;
}

.title{
  height: 200px;
  display: flex;
  align-items: flex-end;
  justify-content: space-around;
  padding-left: calc(100%/5 - var(--globalMargin)) ;
  padding-right: calc(100%/5 - var(--globalMargin)) ;
}

h1{
  text-align: center;
  font-size: 50pt;
  line-height: 105%;

}

.arrow_container{
  display: flex;
  justify-content: center;
}

.arrow{
  font-size: 30pt;
}

.watched-element{
  position: absolute;
  width: 0px;
  height: 0px;
  top:50%;
  left: 50%;
}

/* ------- PERCY FAWCETT SECTION 1 ------- */

.s2 {
  border-bottom: 1px solid var(--color2);
  display: grid;
  grid-template-columns: calc(50% - (var(--globalMargin) / 2)) calc(50% - (var(--globalMargin) / 2));
  column-gap: var(--globalMargin);
  padding: 0;
  height: calc(100vh - (3* var(--globalMargin)));
}

.pictureViewver_container{
  border-right: 1px solid var(--color2);
  display: flex;
  flex-direction: column;
  justify-content: space-between;

}
.description_container {
  border-left: 1px solid var(--color2);
  padding: var(--globalMargin);
}

.carousel{
  height: 30%;
  border-top: 1px solid var(--color2);
  -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.carousel::-webkit-scrollbar {
  display: none;
}

.viewver{
  padding: var(--globalMargin);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  width: auto;
}

.viewver img{
  max-width: 100%;
  min-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.fig_container{
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  max-width: 62%;
  min-width: 62%;
  max-height: 80%;
  min-height: 80%;
}

.fig{

  position: relative;
  transition: all .3s;

  &:before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 0%;
      background-color: var(--color2);
      transition: all .3s;
      z-index: -1;
    }
  
    &:hover {
      &:before {
        height: 100%;
        pointer-events: none;
        cursor: pointer;
      }
    }
}

.fig:hover{
  color: var(--color1);
  cursor: pointer;
}

.vl{
  position: absolute;
  border: 0.5px dashed var(--color2);

  height: calc(100vh - (3* var(--globalMargin)));
  left: calc(100vw / 2);
}

.carousel{
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  overflow: hidden;
  overflow-x:auto;
}

#mainImage {
  transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;
  opacity: 1;
  transform: scale(1);
  /* initial opacity */
  /* initial scale */
}

/* Un peu d'ombre ou de transformation pour donner un effet agréable au changement */
#mainImage.fade-out {
  opacity: 0;
  transform: scale(0.95);
    /* Réduit légèrement l'image */
  /* Réduit légèrement l'image */
}

.carousel_img{
  display:flex;
  flex-direction: column;
  align-items: flex-start;
  padding-left: var(--globalMargin);
}

.carouselImgContainer{
margin-right: var(--globalMargin);
display: inline-block;
cursor: pointer;
}

.carouselImgContainer:hover .fig {
  color: var(--color1);
  &:before {
    height: 100%;
    pointer-events: none;
  }
}

.carousel img{
  
  max-height: 100px;
  height: 100px;
  width: auto;
  

}

/* ------- ACCORDEON SECTION 3 ------- */

.s3{
  display: flex;
  padding: 0;
  height: calc(100vh - (3* var(--globalMargin)));
  
}

.accordion{
  width: calc(var(--globalMargin) * 2);
  height: auto;
  border-right: 1px solid var(--color2);
  padding: calc(var(--globalMargin)/2);
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  cursor: pointer;

  &:before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 0%;
      height: 100%;
      background-color: var(--color2);
      transition: all .3s;
      z-index: -1;
    }
  
    &:hover {

      .date, .period{
        color: var(--color1);
      }

      .hl{
        border: var(--color1) dashed 0.5px;
      }
      
  
      &:before {
        width: 100%;
        pointer-events: none;
  
      }
    }
}

.hl{
  border: 0.5px dashed var(--color2);
  margin-bottom: calc(var(--globalMargin)/2);
  width: 50%;
  transition: all .3s;
}

.period{
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  margin: 0;
  transition: all .3s;
  pointer-events: none;
}

.date{
  text-wrap: nowrap;
  margin-bottom: calc(var(--globalMargin)/2);
  transition: all .3s;
  pointer-events: none;
}

.activeTiroir{
  background-color: var(--color2);
}

.activeTiroir h2 {
  color: var(--color1);
}
.activeTiroir .hl {
  border: 0.5px dashed var(--color1);
}

.panel {
  padding: var(--globalMargin);
  border-right: 1px solid var(--color2);
  width: 0px;
  display: none;
  overflow: hidden;
  animation: closetiroir 0.5s ease;
  animation-fill-mode: forwards;
}

.panel p{
  width: calc(100vw - var(--globalMargin) * 19);
}
.panel .chapter_title h2 h3 {
  width: calc(100vw - var(--globalMargin) * 19);
}
.panel .chapter_title h2 {
  width: calc(100vw - var(--globalMargin) * 19);
}
.open {
  display: block;
  animation: openTiroir 0.5s ease ;
  animation-fill-mode: forwards;
}

.hide {
  display: block;
  animation: closeTiroir 0.5s ease;
  animation-fill-mode: forwards;
}

@keyframes openTiroir{
  from{
    width: 0px;
    padding-left: 0;
    padding-right: 0;
  }
  to{
    width: calc(100vw - var(--globalMargin) * 12);
    padding-left: var(--globalMargin);
    padding-right: var(--globalMargin);
  }
}

@keyframes closeTiroir {
  from {
    width: 100%;
    padding-left: var(--globalMargin);
    padding-right: var(--globalMargin);
  }

  to {
    width: 0px;
    padding-left: 0;
    padding-right: 0;
  }
}


/* ------- THE LOST CITY OF Z SECTION 3 ------- */

.s4{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.topSection{
  display: flex;
  justify-content: space-between;
}

.topSection .courant {
  width: 60%;
}

.video{
  width: 100%;
  height: 85%;
}

.sequence1 {
  width: 100%;
  height: 100%;

  object-fit: cover;
}

/* ------- COMRADES AND FAMILLY ------- */


.s5{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.bigName{
  width: 100%;
  display: flex;
  justify-content: center;
  text-align: center;
}

#bigName {
  object-fit: cover;
  position: relative;
  animation-fill-mode: forwards;
}

.nameContainer {
  overflow: hidden;
  height: 115%;
  width: 110%;
}

.portraitContainer{
  position: absolute;
  width: 30%;
  height: 30%;
  display:flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  flex-direction: column;
  padding-bottom: 10px;
}

.actorNameContainer{
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.actorName{
  animation: "textIn .3s ease";
  animation-fill-mode: forwards;
}

.portrait{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: relative;
  animation-fill-mode: forwards;
}

.nameList_container{
  height: 25%;
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  padding-bottom: calc(var(--globalMargin) * 3);
}

.name{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.characterName{
  cursor: pointer;
  position: relative;
  transition: all .3s;
  display: flex;
  flex-direction: column;
  text-wrap:nowrap;
  text-align: center;
  padding-left: calc(var(--globalMargin)/2);
  padding-right: calc(var(--globalMargin)/2);
  padding-top: calc(var(--globalMargin));
  padding-bottom: 5px;
  font-size: 30pt;

  &:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background-color: var(--color2);
    transition: all .3s;
    z-index: -1;
  } 


  &:hover {
    &:before {
      height: 100%;
      pointer-events: none;
      

    }
  }
}

.characterName:hover{
  color: var(--color1);
  cursor: default;
}


.tinyTexts4{
  cursor: default;
  width:fit-content;
  position: absolute;
  top: calc(100% + 4px);
  text-wrap:stable;
  text-align: left;
}

.mid{
  justify-content: center;
}
.last {
  justify-content: flex-end;
}

.activeCharacter{
  background-color: var(--color2);
  color: var(--color1);
  cursor: default;
}




@keyframes textIn{
  from{
    opacity: 0%;
    transform: scale(98%);
  }
  to{
    opacity: 100%;
    
    transform: scale(100%);
  }
}
@keyframes textOut {
  from {
    opacity: 100%;
    transform: scale(100%);
  }

  to {
    opacity: 0%;
    transform: scale(98%);
  }
}

@keyframes imageIn {
  from {
    top:120%;
    
  }

  to {
    top: 0%;
  }
}

@keyframes imageOut {
  from {
    bottom: 0%;
    
  }

  to {
    bottom: 120%;
  }
}

/* ------- LAST SECTION ------- */


.s6{
  height: calc(100vh - (6* var(--globalMargin)));
  padding: 0;
}

.footerCanvas {
  position: absolute;
  z-index: 0;
  width: calc(100vw - (2* var(--globalMargin)));
  height: calc(100vh - (6* var(--globalMargin)));
  object-fit: cover;
  pointer-events: none;
  z-index: 1;

}

.boussoleContainer{
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: calc(100vw - 2 * var(--globalMargin));
  height: calc(100vh - (6* var(--globalMargin)));
}

.boussole{
  height: 100%;
  width: auto;
  z-index: 0;
  pointer-events: none;
}

.boussole path{
  stroke: var(--color2);
}

.boussole circle {
  fill: var(--color1);
  stroke: var(--color2);
}

.sequence{
  position: absolute;
  object-fit: cover;
  width: calc(50% - var(--globalMargin));
  height: calc(50vh - var(--globalMargin) * 3);
  z-index: -1;
  transition: all .3s ease;
  opacity: 0%;
}

.sequenceActive{
  opacity: 100%;
}

.sectionsContainer{
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
}

.lastSection{
  box-sizing: border-box;
  height: 50%;
  width: 50%;
}

.section1{
  border-right: .5px dashed var(--color2);
  border-bottom: .5px dashed var(--color2);
}

.section2 {
  border-left: .5px dashed var(--color2);
  border-bottom: .5px dashed var(--color2);
}

.section3 {
  border-right: .5px dashed var(--color2);
  border-top: .5px dashed var(--color2);
}

.section4 {
  border-left: .5px dashed var(--color2);
  border-top: .5px dashed var(--color2);
}

.lastSectionTitleContainer{
  display: flex;
  text-wrap: nowrap;
  flex-direction: column;
  width: auto;
  padding: var(--globalMargin);
}

.lastSectionTitle{
  width: fit-content;
  position: relative;
  cursor: default;
  position: relative;
  transition: all .3s;
  display: flex;
  flex-direction: column;

  &:before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 0%;
      background-color: var(--color2);
      transition: all .3s;
      z-index: -1;
    }
  
  
    &:hover {
      color: var(--color1);
      &:before {
        height: 100%;
        pointer-events: none;
      }
    }
}

.lastSectionText{
  width: 50%;
  padding-top: 10px;
  padding-left: calc(var(--globalMargin) + 12px);
  text-wrap: wrap;
}

.alignRight{
  justify-content: flex-end;
  align-items: flex-end;
}






/* ------- FOOTER ------- */

footer{
  z-index: 1;
  height: calc(var(--globalMargin) * 2);
  padding: calc(var(--globalMargin)/2) var(--globalMargin) calc(var(--globalMargin)/2) var(--globalMargin);
  display: flex;
}

.credits{
  margin-right: calc(var(--globalMargin) * 4);
  font-size: var(--smallText);
  display: flex;
  align-items: center;
}

.footerNavTitle{
    position: relative;
    transition: all .3s;
    display: flex;
    flex-direction: column;
    text-wrap: nowrap;
    text-decoration: none;

  &:before {
      content: '';
      position: absolute;
      bottom: 50%;
      left: 0;
      width: 100%;
      height: 0%;
      background-color: var(--color2);
      transition: all .3s;
      z-index: -1;
    }
  
    &:hover {
      &:before {
        height: 50%;
        pointer-events: none;
        
      }
  }
}

.footerNavTitle:hover {
  color: var(--color1);
}

.footerNavTitle p{
  transition: all .3s;
}


.altNav{
  width: 70%;
  display: flex;
  text-decoration: none;
}

.altNav .smallTitle{
  font-size: var(--smallText);
  margin-bottom: 2px;
  display: flex;
  
}

.navButton{
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-right: var(--globalMargin);
  margin-left: var(--globalMargin);

  
  text-decoration: none;
  cursor: pointer;
}



footer a{
  line-height: 100%;
}